Inhalte

# Funktion Tan

Bestimmt den Tangens eines Winkels. Der Winkel wird im Bogenmaß angegeben.

Unter Verwendung des Winkels Alpha berechnet die Funktion Tan das Verhältnis der Länge der dem Winkel gegenüberliegenden Seite zur Länge der dem Winkel benachbarten Seite in einem rechtwinkligen Dreieck.

Tan(Alpha) = Seite gegenüber dem Winkel/Seite neben dem Winkel

### Syntax:

    Tan (Zahl As Double) As Double

### Rückgabewert:

Double

### Parameter:

Zahl: Ein beliebiger numerischer Ausdruck, dessen Tangens (im Bogenmaß) Sie berechnen möchten.

Um Grad in Bogenmaß umzuwandeln, multiplizieren Sie mit Pi/180. Um Bogenmaß in Grad umzuwandeln, multiplizieren Sie mit 180/Pi.

Grad=(Bogenmaß*180)/Pi

Bogenmaß=(Grad*Pi)/180

Pi ist ungefähr 3,141593.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    ' Das folgende Beispielprogramm erlaubt für ein rechtwinkliges Dreieck die Eingabe von:
    ' Gegenkathete und Winkel (in Grad) und berechnet daraus die Länge der Ankathete:
    Sub ExampleTangens
    ' Pi = 3.1415926 ist eine vordefinierte Variable
    Dim d1 As Double
    Dim dAlpha As Double
        d1 = InputBox("Bitte geben Sie die Länge der Gegenkathete ein: ","Gegenkathete")
        dAlpha = InputBox("Bitte geben Sie den Winkel Alpha ein (in Grad): ","Alpha")
        Print "Die Länge der Ankathete beträgt"; (d1 / tan (dAlpha * Pi / 180))
    End Sub

Verwandte Themen

Funktion Atn

Funktion Cos

Funktion Sin